#include<iostream>
using namespace std;
int main()
{
    int n, d, k;
    cin>>n>>d>>k;
    int dal=0;
    int segP=1;
    for(int s=0;s<=k;s++)
    {
        if(d<n)
        {
            segP+=d;
        }
        else
        {
            while(d>n)
            {
                d-=n;
            }
        }
        if(segP>n)
        {
            segP-=n;
        }

        dal+=segP;
        //cout<<segP;
    }
    cout<<dal;
    return 0;
}
